Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.jocl.compute
Class ComputeContext

    java.lang.Object
      de.grogra.gpuflux.jocl.compute.ComputeContext

    public class ComputeContext

extends java.lang.Object

Constructor Summary
`ComputeContext(JOCLDeviceFilter filter)`

Method Summary
`java.lang.Object` | `aquireLog()`
`ComputeByteBuffer` | `createByteBuffer()`
`Kernel` | `createKernel(java.lang.String filename, java.lang.String kernelname, java.lang.String options)`
`SharedBuffer` | `createSharedBuffer(ComputeByteBuffer computeByteBuffer, long flags)`
`void` | `finish()`
`protected JOCLContext` | `getContext(int id)`
`java.util.AbstractList<Device>` | `getDeviceList()`
`JOCLDeviceFilter` | `getFilter()`
`java.lang.String` | `getLog()`
`Device` | `getPrimaryDevice()`
`boolean` | `hasBigEndian()`
`boolean` | `hasLittleEndian()`
`boolean` | `valid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComputeContext

    public ComputeContext(JOCLDeviceFilter filter)

Method Detail

### aquireLog

    public java.lang.Object aquireLog()

### createByteBuffer

    public ComputeByteBuffer createByteBuffer()

### createKernel

    public Kernel createKernel(java.lang.String filename,
                               java.lang.String kernelname,
                               java.lang.String options)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### createSharedBuffer

    public SharedBuffer createSharedBuffer(ComputeByteBuffer computeByteBuffer,
                                           long flags)

### finish

    public void finish()

### getContext

    protected JOCLContext getContext(int id)

### getDeviceList

    public java.util.AbstractList<Device> getDeviceList()

### getFilter

    public JOCLDeviceFilter getFilter()

### getLog

    public java.lang.String getLog()

### getPrimaryDevice

    public Device getPrimaryDevice()

### hasBigEndian

    public boolean hasBigEndian()

### hasLittleEndian

    public boolean hasLittleEndian()

### valid

    public boolean valid()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD